import { ElementType, HTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CFormFeedbackProps extends HTMLAttributes<HTMLDivElement | HTMLSpanElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the component.
     */
    className?: string;
    /**
     * Method called immediately after the `value` prop changes.
     */
    invalid?: boolean;
    /**
     * If your form layout allows it, you can display validation feedback in a styled tooltip.
     */
    tooltip?: boolean;
    /**
     * Set component validation state to valid.
     */
    valid?: boolean;
}
export declare const CFormFeedback: PolymorphicRefForwardingComponent<'div', CFormFeedbackProps>;
