import React, { HTMLAttributes } from 'react';
export interface CTabPanelProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Item key.
     */
    itemKey: number | string;
    /**
     * Callback fired when the component requests to be hidden.
     */
    onHide?: () => void;
    /**
     * Callback fired when the component requests to be shown.
     */
    onShow?: () => void;
    /**
     * Enable fade in and fade out transition.
     */
    transition?: boolean;
    /**
     * Toggle the visibility of component.
     */
    visible?: boolean;
}
export declare const CTabPanel: React.ForwardRefExoticComponent<CTabPanelProps & React.RefAttributes<HTMLDivElement>>;
